Java 7 Code Compatibility In ASAP 7.3.0.2.1 Environment

(Doc ID 2333869.1)

Last updated on DECEMBER 01, 2017

Applies to:

Oracle Communications ASAP - Version 7.3.0.0.0 and later
Information in this document applies to any platform.

Goal

We're planning to upgrade the current production ASAP application from 7.2.0.6.1 to 7.3.0.2.1 version. Our the current code is compiled in Java 7 version. The concern/query was whether the java 7 compiled code works in the new ASAP 7.3.0.2.1 version without recompiling the existing code in Java 8 if deployed. Basically if it supports the backward compatibility of the code. Please suggest whether we can deploy the existing cartridges in new ASAP version without recompilation in production.
 

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms